## org.pentaho.reporting.libraries.formula.parser
Class GeneratedFormulaParserTokenManager

    java.lang.Object
      org.pentaho.reporting.libraries.formula.parser.GeneratedFormulaParserTokenManager

All Implemented Interfaces:
  GeneratedFormulaParserConstants

    public class GeneratedFormulaParserTokenManager

extends java.lang.Object
implements GeneratedFormulaParserConstants

Token Manager.

Field Summary
`java.io.PrintStream` `debugStream` Debug output.
`static java.lang.String[]` `jjstrLiteralImages` Token literal values.
`static java.lang.String[]` `lexStateNames` Lexer state names.

Fields inherited from interface org.pentaho.reporting.libraries.formula.parser.GeneratedFormulaParserConstants

`APPROXIMATE_NUMERIC_LITERAL, BINARY_DIGIT, COLON, COLUMN_LOOKUP, COMMA, CONCAT, DEFAULT, DIGIT, DIV, DQUOTE, EOF, EQUALS, EXACT_NUMERIC_LITERAL, EXPONENT_PART, GT, GT_EQUALS, HEX_DIGIT, IDENTIFIER, L_BRACE, L_BRACKET, L_PAREN, LETTER, LT, LT_EQUALS, MANTISSA, MINUS, MULT, NEWLINE, NON_ZERO_DIGIT, NONQUOTE_CHARACTER, NONQUOTE_LOOKUP, NOT_EQUALS, NULL, PERCENT, PERIOD, PIPE, PLUS, POW, QUEST, QUOTE, R_BRACE, R_BRACKET, R_PAREN, SEMICOLON, SIGN, STRING_LITERAL, tokenImage, UNSIGNED_INTEGER, UNSIGNED_NUMERIC_LITERAL, WHITESPACE`

Constructor Summary
`GeneratedFormulaParserTokenManager(JavaCharStream stream)` Constructor.
`GeneratedFormulaParserTokenManager(JavaCharStream stream, int lexState)` Constructor.

Method Summary
`Token` `getNextToken()` Get the next Token.
`void` `ReInit(JavaCharStream stream)` Reinitialise parser.
`void` `ReInit(JavaCharStream stream, int lexState)` Reinitialise parser.
`void` `setDebugStream(java.io.PrintStream ds)` Set debug output.
`void` `SwitchTo(int lexState)` Switch to specified lex state.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

  Debug output.

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

  Token literal values.

### lexStateNames

    public static final java.lang.String[] lexStateNames

  Lexer state names.

Constructor Detail

### GeneratedFormulaParserTokenManager

    public GeneratedFormulaParserTokenManager(JavaCharStream stream)

  Constructor.

### GeneratedFormulaParserTokenManager

    public GeneratedFormulaParserTokenManager(JavaCharStream stream,
                                              int lexState)

  Constructor.

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

  Set debug output.

### ReInit

    public void ReInit(JavaCharStream stream)

  Reinitialise parser.

### ReInit

    public void ReInit(JavaCharStream stream,
                       int lexState)

  Reinitialise parser.

### SwitchTo

    public void SwitchTo(int lexState)

  Switch to specified lex state.

### getNextToken

    public Token getNextToken()

  Get the next Token.